diff --git a/channels/chan_phone.c b/channels/chan_phone.c
index bd13c78..03dec8a 100644
--- a/channels/chan_phone.c
+++ b/channels/chan_phone.c
@@ -297,14 +297,14 @@ static int phone_call(struct ast_channel *ast, char *dest, int timeout)
 
 	PHONE_CID cid;
 	time_t UtcTime;
-	struct tm tm;
+	struct tm tm, *tm_res;
 	int start;
 
 	time(&UtcTime);
-	ast_localtime(&UtcTime, &tm, NULL);
+	tm_res = ast_localtime(&UtcTime, &tm, NULL);
 
 	memset(&cid, 0, sizeof(PHONE_CID));
-	if(&tm != NULL) {
+	if(tm_res != NULL) {
 		snprintf(cid.month, sizeof(cid.month), "%02d",(tm.tm_mon + 1));
 		snprintf(cid.day, sizeof(cid.day),     "%02d", tm.tm_mday);
 		snprintf(cid.hour, sizeof(cid.hour),   "%02d", tm.tm_hour);
